## EvDocumentLinks EvDocumentLinks |

## Functions

#define | EV_DOCUMENT_LINKS_IFACE()
#define | EV_IS_DOCUMENT_LINKS_IFACE()
gboolean | ev_document_links_has_document_links ()
GtkTreeModel * | ev_document_links_get_links_model ()
EvMappingList * | ev_document_links_get_links ()
EvLinkDest * | ev_document_links_find_link_dest ()
gint | ev_document_links_get_dest_page ()
gchar * | ev_document_links_get_dest_page_label ()

## Types and Values

| EvDocumentLinks

## Object Hierarchy

        GInterface
        ╰── EvDocumentLinks

## Description

## Functions

### EV_DOCUMENT_LINKS_IFACE()

    #define EV_DOCUMENT_LINKS_IFACE(k)	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_LINKS, EvDocumentLinksInterface))

### EV_IS_DOCUMENT_LINKS_IFACE()

    #define EV_IS_DOCUMENT_LINKS_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_LINKS))

### ev_document_links_has_document_links ()

    gboolean
    ev_document_links_has_document_links (EvDocumentLinks *document_links);

### ev_document_links_get_links_model ()

    GtkTreeModel *
    ev_document_links_get_links_model (EvDocumentLinks *document_links);

### ev_document_links_get_links ()

    EvMappingList *
    ev_document_links_get_links (EvDocumentLinks *document_links,
                                 EvPage *page);

### ev_document_links_find_link_dest ()

    EvLinkDest *
    ev_document_links_find_link_dest (EvDocumentLinks *document_links,
                                      const gchar *link_name);

### ev_document_links_get_dest_page ()

    gint
    ev_document_links_get_dest_page (EvDocumentLinks *document_links,
                                     EvLinkDest *dest);

### ev_document_links_get_dest_page_label ()

    gchar *
    ev_document_links_get_dest_page_label (EvDocumentLinks *document_links,
                                           EvLinkDest *dest);

## Types and Values

### EvDocumentLinks

    typedef struct _EvDocumentLinks EvDocumentLinks;